libgtk-3-0_3.14.5-1+deb8u1_amd64.deb


Advertisement

Description

libgtk-3-0 - GTK+ graphical user interface library

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libgtk-3-0
Package version 3.14.5
Package release 1+deb8u1
Package architecture amd64
Package type deb
Installed size 8.18 KB
Download size 2.15 MB
Official Mirror ftp.br.debian.org
GTK+ is a multi-platform toolkit for creating graphical user
interfaces. Offering a complete set of widgets, GTK+ is suitable
for projects ranging from small one-off tools to complete application
suites.
This package contains the shared libraries.

Alternatives

Package Version Architecture Repository
libgtk-3-0_3.14.5-1+deb8u1_i386.deb 3.14.5 i386 Debian Main
libgtk-3-0 - - -

Requires

Name Value
libatk-bridge2.0-0 >= 2.5.3
libatk1.0-0 >= 2.12.0
libc6 >= 2.14
libcairo-gobject2 >= 1.10.0
libcairo2 >= 1.14.0
libcolord2 >= 0.1.29
libcups2 >= 1.6.0
libfontconfig1 >= 2.11
libfreetype6 >= 2.2.1
libgdk-pixbuf2.0-0 >= 2.30.1
libglib2.0-0 >= 2.41.2
libgtk-3-common >= 3.14.5-1+deb8u1
libjson-glib-1.0-0 >= 0.12.0
libpango-1.0-0 >= 1.36.7
libpangocairo-1.0-0 >= 1.36.7
libpangoft2-1.0-0 >= 1.36.7
librest-0.7-0 >= 0.7
libsoup2.4-1 >= 2.4.0
libwayland-client0 >= 1.5.91
libwayland-cursor0 >= 1.5.91
libx11-6 >= 2:1.4.99.1
libxcomposite1 >= 1:0.3-1
libxcursor1 >> 1.1.2
libxdamage1 >= 1:1.1
libxext6 -
libxfixes3 -
libxi6 >= 2:1.2.99.4
libxinerama1 -
libxkbcommon0 >= 0.2.0
libxml2 >= 2.6.27
libxrandr2 >= 2:1.2.99.3
multiarch-support -
shared-mime-info -

Provides

Name Value
gtk3-binver-3.0.0 -

Download

Type URL
Binary Package libgtk-3-0_3.14.5-1+deb8u1_amd64.deb
Source Package gtk+3.0

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libgtk-3-0 deb package:
    # sudo apt-get install libgtk-3-0

Files

Path
/usr/lib/x86_64-linux-gnu/libgdk-3.so.0
/usr/lib/x86_64-linux-gnu/libgdk-3.so.0.1400.5
/usr/lib/x86_64-linux-gnu/libgtk-3.so.0
/usr/lib/x86_64-linux-gnu/libgtk-3.so.0.1400.5
/usr/lib/x86_64-linux-gnu/gtk-3.0/3.0.0/immodules/im-am-et.so
/usr/lib/x86_64-linux-gnu/gtk-3.0/3.0.0/immodules/im-broadway.so
/usr/lib/x86_64-linux-gnu/gtk-3.0/3.0.0/immodules/im-cedilla.so
/usr/lib/x86_64-linux-gnu/gtk-3.0/3.0.0/immodules/im-cyrillic-translit.so
/usr/lib/x86_64-linux-gnu/gtk-3.0/3.0.0/immodules/im-inuktitut.so
/usr/lib/x86_64-linux-gnu/gtk-3.0/3.0.0/immodules/im-ipa.so
/usr/lib/x86_64-linux-gnu/gtk-3.0/3.0.0/immodules/im-multipress.so
/usr/lib/x86_64-linux-gnu/gtk-3.0/3.0.0/immodules/im-thai.so
/usr/lib/x86_64-linux-gnu/gtk-3.0/3.0.0/immodules/im-ti-er.so
/usr/lib/x86_64-linux-gnu/gtk-3.0/3.0.0/immodules/im-ti-et.so
/usr/lib/x86_64-linux-gnu/gtk-3.0/3.0.0/immodules/im-viqr.so
/usr/lib/x86_64-linux-gnu/gtk-3.0/3.0.0/immodules/im-xim.so
/usr/lib/x86_64-linux-gnu/gtk-3.0/3.0.0/printbackends/libprintbackend-cloudprint.so
/usr/lib/x86_64-linux-gnu/gtk-3.0/3.0.0/printbackends/libprintbackend-cups.so
/usr/lib/x86_64-linux-gnu/gtk-3.0/3.0.0/printbackends/libprintbackend-file.so
/usr/lib/x86_64-linux-gnu/gtk-3.0/3.0.0/printbackends/libprintbackend-lpr.so
/usr/lib/x86_64-linux-gnu/gtk-3.0/3.0.0/printbackends/libprintbackend-test.so
/usr/lib/x86_64-linux-gnu/libgtk-3-0/gtk-query-immodules-3.0
/usr/lib/x86_64-linux-gnu/libgtk-3-0/gtk-update-icon-cache-3.0
/usr/share/doc/libgtk-3-0/AUTHORS
/usr/share/doc/libgtk-3-0/NEWS.gz
/usr/share/doc/libgtk-3-0/README.Debian
/usr/share/doc/libgtk-3-0/README.gz
/usr/share/doc/libgtk-3-0/changelog.Debian.gz
/usr/share/doc/libgtk-3-0/copyright

Changelog

2015-08-19 - Andreas Henriksson <andreas@fatal.se>
gtk+3.0 (3.14.5-1+deb8u1) jessie; urgency=medium
[ Ruben Undheim ]
* Added patches backported from upstream for three serious bugs:
- debian/patches/074_fix_freeze_while_resume_events.patch (Closes: #787419)
- debian/patches/075_fontchoose_crash_bugfix.patch (Closes: #748469)
- debian/patches/076_treeview_dont_create_overly_large.patch
(Closes: #788002)
* Added patch backported from upstream for one annoying bug:
- debian/patches/081_fix_huge_icons.patch (Closes: #773135)
2014-11-11 - Emilio Pozuelo Monfort <pochu@debian.org>
gtk+3.0 (3.14.5-1) unstable; urgency=medium
* New upstream bugfix release.
* debian/patches/077_fix_menu_height_calculating.patch:
+ Dropped, merged upstream.
2014-11-04 - Dmitry Shachnev <mitya57@debian.org>
gtk+3.0 (3.14.4-2) unstable; urgency=medium
[ Rico Tzschichholz ]
* Install org.gtk.Settings.Debug.gschema.xml
[ Dmitry Shachnev ]
* debian/patches/077_fix_menu_height_calculating.patch: backport upstream
commit to fix calculation of menu height (closes: #767906).
2014-10-23 - Michael Biebl <biebl@debian.org>
gtk+3.0 (3.14.4-1) unstable; urgency=medium
* New upstream release.
2014-10-13 - Michael Biebl <biebl@debian.org>
gtk+3.0 (3.14.3-1) unstable; urgency=medium
* New upstream release.
* Install typelib files into multiarch paths.
* Mark gir and dev package as Multi-Arch: same.
* Bump Standards-Version to 3.9.6. No further changes.
2014-10-11 - Andreas Henriksson <andreas@fatal.se>
gtk+3.0 (3.14.2-1) unstable; urgency=medium
* New upstream release.
- includes fix gtkbuilder fix for problems affecting libgweather
users (like gnome-clocks, Closes: #764681)
2014-10-02 - Michael Biebl <biebl@debian.org>
gtk+3.0 (3.14.1-1) unstable; urgency=medium
[ Emilio Pozuelo Monfort ]
* New upstream release.
[ Andreas Henriksson ]
* Add debian/patches/reftest-known-fail.patch
- make it possible to tag individual reftests as ok to fail.
* debian/rules:
touch testsuite/reftests/style-properties-nth-child.ui.known_fail
- reftest shows this intermittently has a couple of pixels
difference on some architectures. No big deal.
Noone is willing to investigate and consensus is it's ok to disable.
2014-09-23 - Michael Biebl <biebl@debian.org>
gtk+3.0 (3.14.0-1) unstable; urgency=medium
* New upstream release.
* Refresh patches.
2014-09-19 - Andreas Henriksson <andreas@fatal.se>
gtk+3.0 (3.13.9-2) unstable; urgency=medium
* Upload to unstable.
2014-09-19 - Emilio Pozuelo Monfort <pochu@debian.org>
gtk+3.0 (3.13.9-1) experimental; urgency=medium
[ Andreas Henriksson ]
* libgtk-3-common: Depend on adwaita-icon-theme (>= ${gnome:Version})
- gtk+ should guarantee we have atleast one sane icon theme available.
* debian/rules: Include gnome-version.mk to generate ${gnome:Version}
[ Emilio Pozuelo Monfort ]
* New upstream development release.
* debian/control.in:
+ Bump libpango1.0-dev minimum (build-)dependency.

See Also

Package Description
libgtk-3-bin_3.14.5-1+deb8u1_amd64.deb programs for the GTK+ graphical user interface library
libgtk-3-common_3.14.5-1+deb8u1_all.deb common files for the GTK+ graphical user interface library
libgtk-3-dev_3.14.5-1+deb8u1_amd64.deb development files for the GTK+ library
libgtk-3-doc_3.14.5-1+deb8u1_all.deb documentation for the GTK+ graphical user interface library
libgtk-dotnet3.0-cil-dev_2.99.3-2_amd64.deb GTK.NET library - development files
libgtk-dotnet3.0-cil_2.99.3-2_amd64.deb GTK.NET library
libgtk-sharp-beans-cil_2.14.1-3_all.deb Supplementary CLI bindings for GTK 2.14+
libgtk-sharp-beans2.0-cil-dev_2.14.1-3_all.deb Supplementary CLI bindings for GTK 2.14+ - development package
libgtk-vnc-1.0-0_0.5.3-1.3_amd64.deb VNC viewer widget for GTK+2 (runtime libraries)
libgtk-vnc-1.0-dev_0.5.3-1.3_amd64.deb VNC viewer widget for GTK+2 (development files)
libgtk-vnc-2.0-0_0.5.3-1.3_amd64.deb VNC viewer widget for GTK+3 (runtime libraries)
libgtk-vnc-2.0-dev_0.5.3-1.3_amd64.deb VNC viewer widget for GTK+3 (development files)
libgtk2-appindicator-perl_0.15-1+b2_amd64.deb Perl bindings for libappindicator
libgtk2-ex-entry-pango-perl_0.09-1_all.deb Gtk2::Entry that accepts pango markup
libgtk2-ex-podviewer-perl_0.18-1_all.deb Perl Gtk2 widget for displaying Plain Old Documentation (POD)
Advertisement
Advertisement